View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012335CMakeCMakepublic2011-07-13 15:352016-06-10 14:31
ReporterKlaas 
Assigned ToAlex Neundorf 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionmoved 
PlatformOSOS Version
Product VersionCMake 2.8.5 
Target VersionFixed in Version 
Summary0012335: Codeblocks virt directory per target
DescriptionCreates virtual directory per PROJECT with in there a virtual dir per target.
Like VC does.
Old method left in, but if wanted, can be removed.
TagsNo tags attached.
Attached Filesgz file icon patch.tar.gz [^] (1,784 bytes) 2011-07-13 15:35

- Relationships Relation Graph ] Dependency Graph ]
related to 0012472closedAlex Neundorf cmake codeblocks should support source_group 
related to 0011959closedAlex Neundorf CMake does not write in defines into code::blocks projects files 

-  Notes
(0027040)
Klaas (reporter)
2011-07-15 14:37

It seems as it was the codeblocks project generation was wrong.

http://forums.codeblocks.org/index.php?PHPSESSID=c6hbsjr3rch23nqjj23dap5ee5&topic=14990.msg100355;topicseen#msg100355 [^]

Instead what I did now, create per target a virtual dir, it should become per target a project file, and the overall should be a workspace. Codeblocks is organized as VC. sln==workspace.

So the patch is going into that direction, but should create a project file per Cmake (Project() statement.

And I think they need to be generated as is with VC, at the same level in the directory tree as where CmakeLists.txt containing PROJECT() is.
(0041862)
Kitware Robot (administrator)
2016-06-10 14:28

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current CMake Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2011-07-13 15:35 Klaas New Issue
2011-07-13 15:35 Klaas File Added: patch.tar.gz
2011-07-13 15:37 Alex Neundorf Assigned To => Alex Neundorf
2011-07-13 15:37 Alex Neundorf Status new => assigned
2011-07-15 14:37 Klaas Note Added: 0027040
2011-10-23 09:41 Alex Neundorf Relationship added related to 0012472
2012-01-04 16:08 Alex Neundorf Relationship added related to 0011959
2012-08-13 12:46 Alex Neundorf Status assigned => backlog
2016-06-10 14:28 Kitware Robot Note Added: 0041862
2016-06-10 14:28 Kitware Robot Status backlog => resolved
2016-06-10 14:28 Kitware Robot Resolution open => moved
2016-06-10 14:31 Kitware Robot Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker